
Auto Multiple Choice - Support # 209: La version d'amc que j'ai installé n'arrive pas à annoter les 
copies

Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 09/20/2013 Assignee:
Updated: 09/23/2013 Due date:
Description: J'ai installé AMC svn revision 1447 sous OS X 10.8.5. Je suis arrivé jusqu'à la phase des rapports d'un projet 

test. L'export des notes (format libreoffice) se passe bien. Par contre, je n'arrive pas à annoter les copies.

Je joins le fichier debug d'une tentative d'annotation et le dossier du projet.

History
09/20/2013 03:00 pm - Alexis Bienvenüe
Il semble que le programme @AMC-buildpdf@ n'a pas été trouvé. Pouvez-vous vérifier qu'il a été correctement compilé et installé?

09/20/2013 07:22 pm - Joël Brogniart
- File main.log added

Bon, tout d'abord, j'en suis revenu à la révision 1377 pour voir si l'installation marchait toujours avec toutes les mises à jour des autres ports 
(macports). Comme pour la révision 1447, il faut maintenant ajouter une dépendance à texlive-lang-french pour que AMC puis être construit 
correctement. Sinon, la révision 1447 fonctionne correctement de la création d'un projet à l'envoi des corrigés par mail avec les nouvelles versions des 
autres ports (OS X 10.8.5, Xcode 5.0, Macports 2.2.0).

Je suis ensuite revenu à la révision 1447 (ou plutôt 1449 maintenant) et effectivement, il n'y a pas de buildpdf ou AMC-buidpdf dans ce qui est 
construit. Je joins le journal du build (du début à la ligne 2012 cela concerne la vérification des dépendances) dans lequel, je n'ai rien trouvé sur la 
compilation de buildpdf (en dehors de la récupération du dépot subversion). Je vais voir si j'arrive à comprendre pourquoi l'outil n'est pas compilé par 
les outils Macports.

09/20/2013 09:45 pm - Alexis Bienvenüe
Ha zut, il faut maintenant enlever la ligne
<pre>
BINARIES = AMC-detect
</pre>
du fichier @Makefile-macports.conf@ (elle limitait les pogrammes à compiler au seul @AMC-detect@).
Pouvez-vous essayer de compiler à la main @AMC-buildpdf@ avec quelque chose comme ça
<pre>
make AMCCONF=macports BASEPATH=/opt/local GCC_PP="/usr/bin/clang -arch x86_64" AMC-buildpdf
</pre>
Comme ça si il y a d'autres choses à changer je regroupe le tout dans une seule révision. Il faudra sans doute rajouter une ligne (toujours dans 
@Makefile-macports.conf@) pour définir @GCC_PDF@, aussi. La version linux est
<pre>
GCC_PDF=$(shell pkg-config --cflags --libs cairo pangocairo poppler-glib)
</pre>
ce qui revient à
<pre>
GCC_PDF=-pthread -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include \
        -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pango-1.0 \
        -I/usr/include/poppler/glib -I/usr/include/poppler \
        -lpangocairo-1.0 -lpango-1.0 -lpoppler-glib -lgobject-2.0 -lcairo -lglib-2.0
</pre>
par exemple sur ma machine, mais je ne sais pas si on dispose de @pkg-config@ sur Mac...
09/20/2013 11:08 pm - Joël Brogniart
J'essaierai ça dans deux ou trois jours. Il y a peut être aussi un problème dans la phase d'installation avec une tentative de création de lien vers /usr ce 
qui ne correspond pas une installation Macports. Mais je n'en suis pas certain.

09/23/2013 10:41 am - Joël Brogniart
- File AMC-DEBUG-b5ZtS0D7.log added

- File 0001-AntarÃ¨s_Castor.pdf added

Quelques retours.

Dans le fichier @Makefile-macports.conf@, je supprime la ligne
<pre>
BINARIES = AMC-detect
</pre>
et j'ajoute
<pre>
GCC_PDF=$(shell pkg-config --cflags --libs cairo pangocairo poppler-glib)
</pre>
le build (avec AMC-buildpdf) et l'installation réussissent.

Par contre, même si la phase d'annotation se passe apparemment bien, la page générée ne comporte pas d'annotation. Je joins le journal debug de 
l'annotation et la page générée.

09/23/2013 11:33 am - Alexis Bienvenüe
Pas sûr de moi mais peut-être est-ce corrigé avec la révision r1451.

09/23/2013 01:37 pm - Joël Brogniart
Chapeau bas. Cette fois ci, la révision 1451 passe mon test (limité) : création d'un projet, insertion du sujet, mise à jour des docs, calcul des mises en 
page, impression d'un exemplaire (hors AMC), remplissage d'un exemplaire (hors AMC), saisie de la copie automatique, correction, identification 
étudiant, export des notes, annotation copie et envoi de l'annotation par courriel.

Et bien sûr, l'installation avec Macports se déroule sans problème… heu… je supprime tous les ports installés, je refais un test sans aucun port installé 
et je relance l'installation d'AMC pour voir si toutes les dépendances sont bien installées et si ça fonctionne… tout marche !

Bon maintenant, faut que j'arrive à faire valider quelques ports du côté de Macports.

Merci beaucoup !

09/23/2013 08:42 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Beau travail : bravo.

Files
AMC-DEBUG-DK_lS5Il.log 6 kB 09/20/2013 Joël Brogniart
bizarritude-1970-07-AMC-1447.zip 1.2 MB 09/20/2013 Joël Brogniart
main.log 420.1 kB 09/20/2013 Joël Brogniart
AMC-DEBUG-b5ZtS0D7.log 37.8 kB 09/23/2013 Joël Brogniart
0001-Antarès_Castor.pdf 143.8 kB 09/23/2013 Joël Brogniart
